#include "Roboid.h"

#include "RoboidWiFi.h"

Roboid::Roboid() {}

Roboid::Roboid(Perception *perception, Propulsion *propulsion) {
  this->perception = perception;
  perception->roboid = this;
  this->propulsion = propulsion;
  propulsion->roboid = this;
}

void Roboid::Update(float currentTimeMs) {
  if (perception != nullptr)
    perception->Update(currentTimeMs);
  if (networkSync != nullptr)
    networkSync->NetworkUpdate(this);
}